BOOT_HP300(8)

NAME
boot_hp300 - hp300 system bootstrapping procedures

DESCRIPTION

  Cold starts
When powered on, the hp300 firmware will proceed to its initialization, and will boot an operating system from the first bootable device found. By pressing the “enter” key during the initialization sequence, the user can force another device to be used.

  Warm starts
After a panic, or if the system is rebooted via reboot(8) or shutdown(8), the firmware will restart from the previous boot device.

  Bootable devices
The following devices can be booted from the firmware:
•   Any disk successfully probed, and containing a boot program in a LIF format directory at its beginning.
•   Any network interface, for which a rbootd(8) server is listening on the network.

  Boot process options
The OpenBSD bootloader will let the user enter a boot device, kernel filename and boot options.

If the special line reset is entered, the bootloader will attempt to restart the machine.

The file specification used for an interactive boot is of the form:
    device unit partition: filename options
where:
device
    is the type of the device to be searched. Currently, ct (HP-IB tape), hd (HP-IB disk), le (network), and sd (SCSI disk or tape) are the only valid device specifiers.
unit
    is the device ID for SCSI devices, and the (8 * the HP-IB controller number + the device unit number) formula for HP-IB devices. Controller and unit numbering start at zero.
minor
    is the disk partition letter or tape file number.
Normal line editing characters can be used when typing the file specification.

For example, to boot the /bsd kernel from the “a” file system of unit 0 on second HP-IB controller, type “rd8a:/bsd” at the boot prompt.

The following options are recognized:

-a  Prompt for the root filesystem device after the devices have been configured.
-b  On the next system reboot, always halt the system, even if a reboot is required.
-c  Enter the “User Kernel Configuration” mode upon startup (see boot_config(8)).
-d  Enter the debugger, ddb(4), as soon as the kernel console has been initialized.
-s  Boot the system single-user. The system will be booted multi-user unless this option is specified.

If the user does not enter anything after a few seconds, the bootloader will attempt to boot /bsd from the device it was loaded from, with no options.

  Abnormal system termination
In case of system crashes, the kernel will usually enter the kernel debugger, ddb(4), unless it is not present in the kernel, or it is disabled via the ddb.panic sysctl. Upon leaving ddb, or if ddb was not entered, the kernel will halt the system if it was still in device configuration phase, or attempt a dump to the configured dump device, if possible. The crash dump will then be recovered by savecore(8) during the next multi-user boot cycle. It is also possible to force other behaviours from ddb.

FILES
/bsd
    default system kernel
/bsd.rd
    standalone installation kernel, suitable for disaster recovery
/usr/mdec/uboot.lif
    LIF format boot block, suitable for all bootable devices
/usr/mdec/cdboot.lif
    LIF format boot block, suitable for bootable CD-ROM.

SEE ALSO
ddb(4), boot_config(8), halt(8), init(8), installboot(8), rbootd(8), reboot(8), savecore(8), shutdown(8)